Page MenuHomePhabricator

[codeview] Fix symbol names for dynamic initializers and atexit stubs
ClosedPublic

Authored by rnk on Apr 19 2019, 6:01 PM.

Diff Detail

Repository
rC Clang

Event Timeline

rnk created this revision.Apr 19 2019, 6:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 19 2019, 6:01 PM
Herald added a subscriber: aprantl. · View Herald Transcript
jyu2 added a comment.Apr 22 2019, 11:11 AM

Looks good to me. We are basically de-mangled name for those E initialize global’s function and F destroy global's function.

rnk added a comment.Apr 24 2019, 3:30 PM

Looks good to me. We are basically de-mangled name for those E initialize global’s function and F destroy global's function.

Thanks!

I'm going to land this, but @rjmccall, let me know if you think this addition to GlobalDecl is a bad idea and we can take it back out.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 24 2019, 3:44 PM
This revision was automatically updated to reflect the committed changes.

In Swift we basically shove *everything* through our corresponding linkage-entity structure, so I'm not opposed to the basic idea.

That said, it's unfortunate that this needs to be raised to the AST level. Also, you have really been contributing to this project far too long to still need to be told to add comments to the new types and functions you're adding. :)